小程序开发分包 require引用wxs 报错

html5| 2018-10-12 01:38| 查看: 16| 评论: 0|原作者: 小程序定制|来自: 微信小程序开发

摘要: 小程序开发分包 require引用wxs 报错,https://developers.weixin.qq.com/blogdetail?action=get_post_infodocid=000a6
问题模块 框架类型 问题类型 终端类型 操作系统 微信版本 基础库版本
框架 小程序 Bug 客户端 iOS 6.6.6 1.9.94


https://developers.weixin.qq.com/blogdetail?action=get_post_info&docid=000a628198cfb049e616aacb45b400&highline=wxs%20分包

这个bug解决了,但是如果我是在分包的一个wxs中通过require引用主包中的wxs,开发工具是正常的,手机上预览就会报错


<wxs module="newfindingWXS">

var wxsUtil = require("../../../utils/wxsUtil.wxs");


module.exports = {

getRealImg: wxsUtil.getRealImgUrl,

}

</wxs>


微信小程序开发者回复

开发者回复:

抱歉,是支持require的,我们查一下这个问题。

开发者回复:

wxs不支持require的,可以指定src

<wxs module="newfindingWXS" src="../../../utils/wxsUtil.wxs" />


本文整理自网络,如有侵权请联系删除,微信小程序开发 http://html51.com,开发小程序、定制小程序来51小程序网。

鲜花

握手

雷人

路过

鸡蛋
收藏

最新评论

小程序开发问答相关问题

QQ|手机版|51小程序,合作QQ: 2826431922 ( 苏ICP备15027371号 )

Powered by Discuz! X3.2

返回顶部